Config::Model::TypeConstraints(3pm)

NAME
Config::Model::TypeConstraints - Mouse type constraints for Config::Model

VERSION
version 2.166

SYNOPSIS
 use Config::Model::TypeConstraints ;

 has 'some_dir' => (
    is => 'ro',
    isa => 'Config::Model::TypeContraints::Path',
    coerce => 1
 );

DESCRIPTION
This module provides type constraints used by Config::Model:

•   "Config::Model::TypeContraints::Path". A "Maybe[Path::Tiny]" type. This type can be coerced from "Str" type if "coerce => 1" is used to construct the attribute.

SEE ALSO
Config::Model, Mouse::Util::TypeConstraints

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999